|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWebHistoryItem Class Reference
[QtWebKit module]

The QWebHistoryItem class represents one item in the history of a QWebPage More...

     #include <QWebHistoryItem>

This class was introduced in Qt 4.4.

- List of all members, including inherited members

### Public Functions

- QWebHistoryItem ( const QWebHistoryItem & other )
- ~QWebHistoryItem ()
- QIcon icon () const
- QDateTime lastVisited () const
- QUrl originalUrl () const
- QString title () const
- QUrl url () const
- QWebHistoryItem & operator= ( const QWebHistoryItem & other )

## Detailed Description

The QWebHistoryItem class represents one item in the history of a QWebPage

QWebHistoryItem represents on entry in the history stack of a web page.

QWebHistoryItem objects are value based and explicitly shared.

See also QWebPage::history() and QWebHistory.

## Member Function Documentation

### QWebHistoryItem::QWebHistoryItem ( const QWebHistoryItem & other )

Constructs a history item from other.

### QWebHistoryItem::~QWebHistoryItem ()

Destructs a history item.

### QIcon QWebHistoryItem::icon () const

The icon associated with the history item.

### QDateTime QWebHistoryItem::lastVisited () const

The time when the apge associated with the item was last visited.

### QUrl QWebHistoryItem::originalUrl () const

The original url associated with the history item.

### QString QWebHistoryItem::title () const

The title of the page associated with the history item.

### QUrl QWebHistoryItem::url () const

The url associated with the history item.

### QWebHistoryItem & QWebHistoryItem::operator= ( const QWebHistoryItem & other )

Assigns the other history item to this.